import { CustomResource } from 'aws-cdk-lib';
import { Distribution } from 'aws-cdk-lib/aws-cloudfront';
import { Bucket } from 'aws-cdk-lib/aws-s3';
import { BucketDeployment } from 'aws-cdk-lib/aws-s3-deployment';
import { Construct } from 'constructs';
import { VueDeploymentProps } from './types';
export * from './types';
export declare class VueDeployment extends Construct {
    readonly bucket: Bucket;
    readonly bucketDeployment: BucketDeployment;
    readonly cloudfrontDistribution: Distribution | undefined;
    readonly uploadConfigResource: CustomResource;
    constructor(scope: Construct, id: string, props: VueDeploymentProps);
    private createBucket;
    private createBucketDeployment;
    private createUploadConfigResource;
    private createCloudfrontDistribution;
}
